# DO NOT DELETE: Beginning of Haskell dependencies
utils/hsc2hs/dist-install/build/ATTParser.o : utils/hsc2hs/ATTParser.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/ATTParser.hi  : %hi: %o  utils/hsc2hs/ATTParser.hs))
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Data/Bits.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Data/Char.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Data/Int.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Data/Word.hi
utils/hsc2hs/dist-install/build/ATTParser.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/hsc2hs/dist-install/build/Common.o : utils/hsc2hs/Common.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/Common.hi  : %hi: %o  utils/hsc2hs/Common.hs))
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/directory/dist-install/build/System/Directory.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/System/Exit.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/process/dist-install/build/System/Process.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/System/IO.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/Control/Exception.hi
utils/hsc2hs/dist-install/build/Common.o : libraries/base/dist-install/build/Control/Exception.hi
utils/hsc2hs/dist-install/build/Compat/ResponseFile.o : utils/hsc2hs/Compat/ResponseFile.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/Compat/ResponseFile.hi  : %hi: %o  utils/hsc2hs/Compat/ResponseFile.hs))
utils/hsc2hs/dist-install/build/Compat/ResponseFile.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Compat/ResponseFile.o : libraries/base/dist-install/build/GHC/ResponseFile.hi
utils/hsc2hs/dist-install/build/Flags.o : utils/hsc2hs/Flags.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/Flags.hi  : %hi: %o  utils/hsc2hs/Flags.hs))
utils/hsc2hs/dist-install/build/Flags.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Flags.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/hsc2hs/dist-install/build/HSCParser.o : utils/hsc2hs/HSCParser.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/HSCParser.hi  : %hi: %o  utils/hsc2hs/HSCParser.hs))
utils/hsc2hs/dist-install/build/HSCParser.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/HSCParser.o : libraries/base/dist-install/build/Data/Char.hi
utils/hsc2hs/dist-install/build/HSCParser.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hsc2hs/dist-install/build/HSCParser.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/hsc2hs/dist-install/build/C.o : utils/hsc2hs/C.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/C.hi  : %hi: %o  utils/hsc2hs/C.hs))
utils/hsc2hs/dist-install/build/C.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/C.o : utils/hsc2hs/dist-install/build/Flags.hi
utils/hsc2hs/dist-install/build/C.o : utils/hsc2hs/dist-install/build/HSCParser.hi
utils/hsc2hs/dist-install/build/C.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hsc2hs/dist-install/build/C.o : libraries/base/dist-install/build/Data/List.hi
utils/hsc2hs/dist-install/build/C.o : libraries/base/dist-install/build/Data/Char.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/CrossCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/CrossCodegen.hi  : %hi: %o  utils/hsc2hs/CrossCodegen.hs))
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/dist-install/build/ATTParser.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/dist-install/build/HSCParser.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/dist-install/build/Flags.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/dist-install/build/Common.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : utils/hsc2hs/dist-install/build/C.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/process/dist-install/build/System/Process.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/System/Exit.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/containers/dist-install/build/Data/Sequence.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/containers/dist-install/build/Data/Sequence.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Data/Foldable.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Control/Exception.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Data/Char.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/directory/dist-install/build/System/Directory.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/System/IO.hi
utils/hsc2hs/dist-install/build/CrossCodegen.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Paths_hsc2hs.o : utils/hsc2hs/dist-install/build/hsc2hs/autogen/Paths_hsc2hs.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/Paths_hsc2hs.hi  : %hi: %o  utils/hsc2hs/dist-install/build/hsc2hs/autogen/Paths_hsc2hs.hs))
utils/hsc2hs/dist-install/build/Paths_hsc2hs.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Paths_hsc2hs.o : libraries/base/dist-install/build/System/Environment.hi
utils/hsc2hs/dist-install/build/Paths_hsc2hs.o : libraries/base/dist-install/build/Data/Version.hi
utils/hsc2hs/dist-install/build/Paths_hsc2hs.o : libraries/base/dist-install/build/Control/Exception.hi
utils/hsc2hs/dist-install/build/UtilsCodegen.o : utils/hsc2hs/UtilsCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/UtilsCodegen.hi  : %hi: %o  utils/hsc2hs/UtilsCodegen.hs))
utils/hsc2hs/dist-install/build/UtilsCodegen.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/UtilsCodegen.o : utils/hsc2hs/dist-install/build/Flags.hi
utils/hsc2hs/dist-install/build/UtilsCodegen.o : utils/hsc2hs/dist-install/build/Common.hi
utils/hsc2hs/dist-install/build/UtilsCodegen.o : utils/hsc2hs/dist-install/build/C.hi
utils/hsc2hs/dist-install/build/UtilsCodegen.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/DirectCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/DirectCodegen.hi  : %hi: %o  utils/hsc2hs/DirectCodegen.hs))
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/dist-install/build/UtilsCodegen.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/dist-install/build/HSCParser.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/dist-install/build/Flags.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/dist-install/build/Common.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : utils/hsc2hs/dist-install/build/C.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/base/dist-install/build/System/Exit.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/base/dist-install/build/Data/Foldable.hi
utils/hsc2hs/dist-install/build/DirectCodegen.o : libraries/base/dist-install/build/Data/Char.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/Main.hs
$(eval $(call hi-rule,utils/hsc2hs/dist-install/build/Main.hi  : %hi: %o  utils/hsc2hs/Main.hs))
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/Prelude.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/HSCParser.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/Flags.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/DirectCodegen.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/CrossCodegen.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/Compat/ResponseFile.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/Common.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Version.hi
utils/hsc2hs/dist-install/build/Main.o : utils/hsc2hs/dist-install/build/Paths_hsc2hs.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/System/IO.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/System/Exit.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/System/Environment.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/directory/dist-install/build/System/Directory.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/Data/List.hi
utils/hsc2hs/dist-install/build/Main.o : libraries/base/dist-install/build/Control/Monad.hi
# DO NOT DELETE: End of Haskell dependencies
utils/hsc2hs_dist-install_depfile_haskell_EXISTS = YES
